-- This is a default modinfo structure and can be found in any mod
name = "Blood Bag"
description = "Adds a craft-able blood bag that heals for 100 and can be used to heal yourself or others, including followers and pets! Config options for easier crafting if you find the game to be too hard. Default crafting is 5 Mosquitoes, 1 Rope, 2 Silk. Easy crafting is 2 Mosquitoes and 1 Silk."
author = "Pirate Joe and Delicious"
version = "1.6"

forumthread = ""


icon_atlas = "modicon.xml"
icon = "modicon.tex"


configuration_options =
{
	{
		name = "bloodbagrecipe",
		label = "Blood bag Recipe",
        hover = "Recipe configuration:",
		options =
	{
		{description = "Default", data = "default", hover = "5 Mosquitoes, 1 Rope, 2 Silk"},
		{description = "Easy", data = "alt", hover = "2 Mosquitoes, 1 Silk"},
	},
		default = "default",
	},
}


dont_starve_compatible = true
reign_of_giants_compatible = true
dst_compatible = true

api_version =  10

all_clients_require_mod = true
client_only_mod = false

