-- This is a default modmain structure and can be found in any mod
local STRINGS = GLOBAL.STRINGS
local RECIPETABS = GLOBAL.RECIPETABS
local Ingredient = GLOBAL.Ingredient
local TECH = GLOBAL.TECH

PrefabFiles = 
{
	"bloodbag",
}

Assets = {
	Asset("ATLAS", "images/inventoryimages/bloodbag.xml"),
	Asset("IMAGE", "images/inventoryimages/bloodbag.tex"),
}

STRINGS.NAMES.BLOODBAG = "Blood Bag"

STRINGS.CHARACTERS.GENERIC.DESCRIBE.BLOODBAG = "I wonder if it's my blood type..."
STRINGS.CHARACTERS.WX78.DESCRIBE.BLOODBAG = "I SHOULD NOT NEED THIS."
STRINGS.CHARACTERS.WENDY.DESCRIBE.BLOODBAG = "If only my sister had this..."
STRINGS.CHARACTERS.WILLOW.DESCRIBE.BLOODBAG = "I wonder if this burns..."

STRINGS.RECIPE_DESC.BLOODBAG = "A bag full of blood."
	
local default = (GetModConfigData("bloodbagrecipe")=="default")
local alt = (GetModConfigData("bloodbagrecipe")=="alt")

if default then
    AddRecipe("bloodbag",  {Ingredient("mosquito", 5), Ingredient("rope", 1), Ingredient("silk", 2) }, RECIPETABS.SURVIVAL, TECH.SCIENCE_TWO, nil, nil, nil, 1, nil, "images/inventoryimages/bloodbag.xml", "bloodbag.tex")
elseif alt then
    AddRecipe("bloodbag",  {Ingredient("mosquito", 2), Ingredient("silk", 1) }, RECIPETABS.SURVIVAL, TECH.SCIENCE_TWO, nil, nil, nil, 1, nil, "images/inventoryimages/bloodbag.xml", "bloodbag.tex")
end

